# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class GeoPt

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.extensions.GeoPt

All Implemented Interfaces:
  Extension

Deprecated. Use `com.google.gdata.data.geo.impl` package.

    @Deprecated
    public class GeoPt

extends ExtensionPoint
implements Extension

GData schema extension describing a geographic location.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`protected java.lang.Float` `elev` Deprecated. Elevation.
`protected java.lang.String` `label` Deprecated. Label.
`protected java.lang.Float` `lat` Deprecated. Latitude.
`protected java.lang.Float` `lon` Deprecated. Longitude.
`protected DateTime` `time` Deprecated. Time.

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`GeoPt()` Deprecated.

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Deprecated. Generates an XML representation for the extension.
`static ExtensionDescription` `getDefaultDescription()` Deprecated. Returns the suggested extension description and is repeatable.
`static ExtensionDescription` `getDefaultDescription(boolean repeatable)` Deprecated. Returns the suggested extension description with configurable repeatability.
`java.lang.Float` `getElev()` Deprecated.
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` Deprecated. The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.
`java.lang.String` `getLabel()` Deprecated.
`java.lang.Float` `getLat()` Deprecated.
`java.lang.Float` `getLon()` Deprecated.
`DateTime` `getTime()` Deprecated.
`void` `setElev(java.lang.Float v)` Deprecated.
`void` `setLabel(java.lang.String v)` Deprecated.
`void` `setLat(java.lang.Float v)` Deprecated.
`void` `setLon(java.lang.Float v)` Deprecated.
`void` `setTime(DateTime v)` Deprecated.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    protected java.lang.String label

  Deprecated.
  Label.

### lat

    protected java.lang.Float lat

  Deprecated.
  Latitude.

### lon

    protected java.lang.Float lon

  Deprecated.
  Longitude.

### elev

    protected java.lang.Float elev

  Deprecated.
  Elevation.

### time

    protected DateTime time

  Deprecated.
  Time.

Constructor Detail

### GeoPt

    public GeoPt()

  Deprecated.

Method Detail

### getLabel

    public java.lang.String getLabel()

  Deprecated.

### setLabel

    public void setLabel(java.lang.String v)

  Deprecated.

### getLat

    public java.lang.Float getLat()

  Deprecated.

### setLat

    public void setLat(java.lang.Float v)

  Deprecated.

### getLon

    public java.lang.Float getLon()

  Deprecated.

### setLon

    public void setLon(java.lang.Float v)

  Deprecated.

### getElev

    public java.lang.Float getElev()

  Deprecated.

### setElev

    public void setElev(java.lang.Float v)

  Deprecated.

### getTime

    public DateTime getTime()

  Deprecated.

### setTime

    public void setTime(DateTime v)

  Deprecated.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean repeatable)

  Deprecated.
  Returns the suggested extension description with configurable repeatability.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Deprecated.
  Returns the suggested extension description and is repeatable.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Deprecated.
  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `AbstractExtension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Deprecated.
  Description copied from class: `AbstractExtension`
  The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Overrides:
    `getHandler` in class `ExtensionPoint`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler